<form nz-form [formGroup]="form" class="form" (submit)="submitLogin()" *ngIf="loginPasswordAuthVisible">
  <h1 style="color:rgba(0, 14, 33, 0.639)">Login</h1>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Email</div>
  <div>
    <input nz-input nzSize="large" formControlName="email" type="email" />
  </div>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Password</div>
  <div>
    <input nz-input nzSize="large" formControlName="password" type="password" />
  </div>
  <div>
    <button nz-button nzType="primary" class="login" type="submit" style="margin-top: 10px" [nzLoading]="isLoading">
      Login
    </button>
  </div>
</form>

<div style="margin-top: 20px; vertical-align: middle">
  <h3>Login with:</h3>
  <div>
    <div style="text-align: center" *ngIf="pastaLabsAuthVisible">
      <div style="
        display: inline-block;
        margin-left: 10px;
        background-image: url('../../../assets/img/pasta-labs.png');
        background-size: 50px 25px;
        cursor: pointer;
        width: 50px;
        height: 25px;
      " nzTooltipTitle="PastaLabs" nzTooltipPlacement="bottom" nz-tooltip (click)="loginWithPastaLabs()">
      </div>
    </div>

    <div style="text-align: center" *ngIf="piNetworkAuthVisible">
      <div style="
        display: inline-block;
        margin-left: 10px;
        background-image: url('../../../assets/img/pi-network.png');
        background-size: 100px 50px;
        cursor: pointer;
        width: 100px;
        height: 50px;
      " nzTooltipTitle="Pi Network" nzTooltipPlacement="bottom" nz-tooltip (click)="loginWithPiNetwork()">
      </div>
    </div>
  </div>
</div>
<div nz-row nzJustify="center" nzAlign="middle" style="padding-top: 10px" *ngIf="loginPasswordAuthVisible">
  <div nz-col nzSpan="8" [routerLink]="['/landing/register']">
    <h3>Register</h3>
  </div>
  <div nz-col nzSpan="8" [routerLink]="['/landing/recover-account']">
    <h3>Recover account</h3>
  </div>
</div>
